> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wardin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Prompt Label



## OpenAPI

````yaml POST /v1/prompts/labels
openapi: 3.0.0
info:
  title: Wardin API
  description: AI governance & observability platform — external REST API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/prompts/labels:
    post:
      tags:
        - prompts
      summary: Point a named label at a specific version
      operationId: PromptsController_setLabel
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetLabelDto'
      responses:
        '204':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    SetLabelDto:
      type: object
      properties:
        promptId:
          type: string
          description: Parent prompt UUID
        label:
          type: string
          example: production
        versionId:
          type: string
          description: Version UUID to point this label at
      required:
        - promptId
        - label
        - versionId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````